---
Name: "redhat/subscription-repos"
Description: "Defines YUM repos to activate for RHEL servers"
Documentation: |
  This is an array of strings where each string a repo name to apply to the
  `subscription-manager repos ...` command.

  If not specified the following repos will be enabled automatically:

    * `rhel-7-server-rpms`
    * `rhel-7-server-extras-rpms`
    * `rhel-7-server-optional-rpms`
    * `rhel-7-server-ansible-2.8-rpms`
    * `rhel-7-server-rhn-tools-rpms`
    * `rhel-7-server-rh-common-rpms`
    * `rhel-7-server-supplementary-rpms`

  The following list is the current list as of June 11 2020, as provided by the following
  command, on a RHEL Server 8.2 system:

    * `subscription-manager repos --list | egrep "^Repo ID: " | awk ' { print $NF } ' | sort -n`

  ```
  ansible-2.8-for-rhel-8-x86_64-debug-rpms
  ansible-2.8-for-rhel-8-x86_64-rpms
  ansible-2.8-for-rhel-8-x86_64-source-rpms
  ansible-2.9-for-rhel-8-x86_64-debug-rpms
  ansible-2.9-for-rhel-8-x86_64-rpms
  ansible-2.9-for-rhel-8-x86_64-source-rpms
  ansible-2-for-rhel-8-x86_64-debug-rpms
  ansible-2-for-rhel-8-x86_64-rpms
  ansible-2-for-rhel-8-x86_64-source-rpms
  codeready-builder-for-rhel-8-x86_64-debug-rpms
  codeready-builder-for-rhel-8-x86_64-eus-debug-rpms
  codeready-builder-for-rhel-8-x86_64-eus-rpms
  codeready-builder-for-rhel-8-x86_64-eus-source-rpms
  codeready-builder-for-rhel-8-x86_64-rpms
  codeready-builder-for-rhel-8-x86_64-source-rpms
  openstack-15-tools-for-rhel-8-x86_64-debug-rpms
  openstack-15-tools-for-rhel-8-x86_64-rpms
  openstack-15-tools-for-rhel-8-x86_64-source-rpms
  openstack-16-tools-for-rhel-8-x86_64-debug-rpms
  openstack-16-tools-for-rhel-8-x86_64-rpms
  openstack-16-tools-for-rhel-8-x86_64-source-rpms
  rhel-8-for-x86_64-appstream-debug-rpms
  rhel-8-for-x86_64-appstream-e4s-debug-rpms
  rhel-8-for-x86_64-appstream-e4s-rpms
  rhel-8-for-x86_64-appstream-e4s-source-rpms
  rhel-8-for-x86_64-appstream-eus-debug-rpms
  rhel-8-for-x86_64-appstream-eus-rpms
  rhel-8-for-x86_64-appstream-eus-source-rpms
  rhel-8-for-x86_64-appstream-rpms
  rhel-8-for-x86_64-appstream-source-rpms
  rhel-8-for-x86_64-baseos-debug-rpms
  rhel-8-for-x86_64-baseos-e4s-debug-rpms
  rhel-8-for-x86_64-baseos-e4s-rpms
  rhel-8-for-x86_64-baseos-e4s-source-rpms
  rhel-8-for-x86_64-baseos-eus-debug-rpms
  rhel-8-for-x86_64-baseos-eus-rpms
  rhel-8-for-x86_64-baseos-eus-source-rpms
  rhel-8-for-x86_64-baseos-rpms
  rhel-8-for-x86_64-baseos-source-rpms
  rhel-8-for-x86_64-highavailability-debug-rpms
  rhel-8-for-x86_64-highavailability-e4s-debug-rpms
  rhel-8-for-x86_64-highavailability-e4s-rpms
  rhel-8-for-x86_64-highavailability-e4s-source-rpms
  rhel-8-for-x86_64-highavailability-eus-debug-rpms
  rhel-8-for-x86_64-highavailability-eus-rpms
  rhel-8-for-x86_64-highavailability-eus-source-rpms
  rhel-8-for-x86_64-highavailability-rpms
  rhel-8-for-x86_64-highavailability-source-rpms
  rhel-8-for-x86_64-resilientstorage-debug-rpms
  rhel-8-for-x86_64-resilientstorage-eus-debug-rpms
  rhel-8-for-x86_64-resilientstorage-eus-rpms
  rhel-8-for-x86_64-resilientstorage-eus-source-rpms
  rhel-8-for-x86_64-resilientstorage-rpms
  rhel-8-for-x86_64-resilientstorage-source-rpms
  rhel-8-for-x86_64-rt-debug-rpms
  rhel-8-for-x86_64-rt-rpms
  rhel-8-for-x86_64-rt-source-rpms
  rhel-8-for-x86_64-sap-netweaver-debug-rpms
  rhel-8-for-x86_64-sap-netweaver-e4s-debug-rpms
  rhel-8-for-x86_64-sap-netweaver-e4s-rpms
  rhel-8-for-x86_64-sap-netweaver-e4s-source-rpms
  rhel-8-for-x86_64-sap-netweaver-eus-debug-rpms
  rhel-8-for-x86_64-sap-netweaver-eus-rpms
  rhel-8-for-x86_64-sap-netweaver-eus-source-rpms
  rhel-8-for-x86_64-sap-netweaver-rpms
  rhel-8-for-x86_64-sap-netweaver-source-rpms
  rhel-8-for-x86_64-sap-solutions-debug-rpms
  rhel-8-for-x86_64-sap-solutions-e4s-debug-rpms
  rhel-8-for-x86_64-sap-solutions-e4s-rpms
  rhel-8-for-x86_64-sap-solutions-e4s-source-rpms
  rhel-8-for-x86_64-sap-solutions-eus-debug-rpms
  rhel-8-for-x86_64-sap-solutions-eus-rpms
  rhel-8-for-x86_64-sap-solutions-eus-source-rpms
  rhel-8-for-x86_64-sap-solutions-rpms
  rhel-8-for-x86_64-sap-solutions-source-rpms
  rhel-8-for-x86_64-supplementary-debug-rpms
  rhel-8-for-x86_64-supplementary-eus-debug-rpms
  rhel-8-for-x86_64-supplementary-eus-rpms
  rhel-8-for-x86_64-supplementary-eus-source-rpms
  rhel-8-for-x86_64-supplementary-rpms
  rhel-8-for-x86_64-supplementary-source-rpms
  rhel-atomic-7-cdk-2.3-debug-rpms
  rhel-atomic-7-cdk-2.3-rpms
  rhel-atomic-7-cdk-2.3-source-rpms
  rhel-atomic-7-cdk-2.4-debug-rpms
  rhel-atomic-7-cdk-2.4-rpms
  rhel-atomic-7-cdk-2.4-source-rpms
  rhel-atomic-7-cdk-3.0-beta-debug-rpms
  rhel-atomic-7-cdk-3.0-beta-source-rpms
  rhel-atomic-7-cdk-3.0-debug-rpms
  rhel-atomic-7-cdk-3.0-rpms
  rhel-atomic-7-cdk-3.0-source-rpms
  rhel-atomic-7-cdk-3.10-rpms
  rhel-atomic-7-cdk-3.11-rpms
  rhel-atomic-7-cdk-3.12-rpms
  rhel-atomic-7-cdk-3.1-debug-rpms
  rhel-atomic-7-cdk-3.1-rpms
  rhel-atomic-7-cdk-3.1-source-rpms
  rhel-atomic-7-cdk-3.2-debug-rpms
  rhel-atomic-7-cdk-3.2-rpms
  rhel-atomic-7-cdk-3.2-source-rpms
  rhel-atomic-7-cdk-3.3-debug-rpms
  rhel-atomic-7-cdk-3.3-rpms
  rhel-atomic-7-cdk-3.3-source-rpms
  rhel-atomic-7-cdk-3.4-debug-rpms
  rhel-atomic-7-cdk-3.4-rpms
  rhel-atomic-7-cdk-3.4-source-rpms
  rhel-atomic-7-cdk-3.5-debug-rpms
  rhel-atomic-7-cdk-3.5-rpms
  rhel-atomic-7-cdk-3.5-source-rpms
  rhel-atomic-7-cdk-3.6-debug-rpms
  rhel-atomic-7-cdk-3.6-rpms
  rhel-atomic-7-cdk-3.6-source-rpms
  rhel-atomic-7-cdk-3.7-rpms
  rhel-atomic-7-cdk-3.8-rpms
  rhel-atomic-7-cdk-3.9-rpms
  rh-gluster-3-client-for-rhel-8-x86_64-debug-rpms
  rh-gluster-3-client-for-rhel-8-x86_64-rpms
  rh-gluster-3-client-for-rhel-8-x86_64-source-rpms
  rhv-4-tools-beta-for-rhel-8-x86_64-debug-rpms
  rhv-4-tools-beta-for-rhel-8-x86_64-rpms
  rhv-4-tools-beta-for-rhel-8-x86_64-source-rpms
  rhv-4-tools-for-rhel-8-x86_64-debug-rpms
  rhv-4-tools-for-rhel-8-x86_64-rpms
  rhv-4-tools-for-rhel-8-x86_64-source-rpms
  satellite-tools-6.5-for-rhel-8-x86_64-debug-rpms
  satellite-tools-6.5-for-rhel-8-x86_64-e4s-debug-rpms
  satellite-tools-6.5-for-rhel-8-x86_64-e4s-rpms
  satellite-tools-6.5-for-rhel-8-x86_64-e4s-source-rpms
  satellite-tools-6.5-for-rhel-8-x86_64-eus-debug-rpms
  satellite-tools-6.5-for-rhel-8-x86_64-eus-rpms
  satellite-tools-6.5-for-rhel-8-x86_64-eus-source-rpms
  satellite-tools-6.5-for-rhel-8-x86_64-rpms
  satellite-tools-6.5-for-rhel-8-x86_64-source-rpms
  satellite-tools-6.6-for-rhel-8-x86_64-debug-rpms
  satellite-tools-6.6-for-rhel-8-x86_64-e4s-debug-rpms
  satellite-tools-6.6-for-rhel-8-x86_64-e4s-rpms
  satellite-tools-6.6-for-rhel-8-x86_64-e4s-source-rpms
  satellite-tools-6.6-for-rhel-8-x86_64-eus-debug-rpms
  satellite-tools-6.6-for-rhel-8-x86_64-eus-rpms
  satellite-tools-6.6-for-rhel-8-x86_64-eus-source-rpms
  satellite-tools-6.6-for-rhel-8-x86_64-rpms
  satellite-tools-6.6-for-rhel-8-x86_64-source-rpms
  satellite-tools-6.7-for-rhel-8-x86_64-debug-rpms
  satellite-tools-6.7-for-rhel-8-x86_64-e4s-debug-rpms
  satellite-tools-6.7-for-rhel-8-x86_64-e4s-rpms
  satellite-tools-6.7-for-rhel-8-x86_64-e4s-source-rpms
  satellite-tools-6.7-for-rhel-8-x86_64-eus-debug-rpms
  satellite-tools-6.7-for-rhel-8-x86_64-eus-rpms
  satellite-tools-6.7-for-rhel-8-x86_64-eus-source-rpms
  satellite-tools-6.7-for-rhel-8-x86_64-rpms
  satellite-tools-6.7-for-rhel-8-x86_64-source-rpms
  satellite-tools-6-beta-for-rhel-8-x86_64-debug-rpms
  satellite-tools-6-beta-for-rhel-8-x86_64-rpms
  satellite-tools-6-beta-for-rhel-8-x86_64-source-rpms
  ```

Meta:
  icon: "time"
  color: "blue"
  title: "Digital Rebar Community Content"
Schema:
  type: "array"
  items:
    type: "string"
  default:
    - rhel-7-server-rpms
    - rhel-7-server-extras-rpms
    - rhel-7-server-optional-rpms
    - rhel-7-server-ansible-2.8-rpms
    - rhel-7-server-rhn-tools-rpms
    - rhel-7-server-rh-common-rpms
    - rhel-7-server-supplementary-rpms
